%{?nodejs_find_provides_and_requires}

%global enable_tests 0
# tests disabled due to a metric ton of missing dependencies

Name:       nodejs-transformers
Version:    3.1.0
Release:    8%{?dist}
Summary:    String/Data transformations for Node.js
License:    MIT
URL:        https://github.com/ForbesLindesay/transformers
Source0:    http://registry.npmjs.org/transformers/-/transformers-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging
BuildRequires:  npm(clone)
BuildRequires:  npm(css)
BuildRequires:  npm(promise)
BuildRequires:  npm(uglify-js)

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(expect.js)
BuildRequires:  npm(promise)
# A lot (>30) of missing devDependencies not listed here.
%endif

%description
String/Data transformations for use in templating libraries, static site
generators and web frameworks. This gathers the most useful transformations
you can apply to text or data into one library with a consistent API.
Transformations can be pretty much anything but most are either compilers
or templating engines.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
# Fix wrong-file-end-of-line-encoding
for i in history.md LICENSE README.md; do
    sed -i -e 's/\r$//' "${i}"
done

%nodejs_fixdep css
%nodejs_fixdep promise
%nodejs_fixdep uglify-js
%nodejs_fixdep clone


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/transformers
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/transformers

%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%doc history.md README.md
%license LICENSE
%{nodejs_sitelib}/transformers


%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Sep 21 2017 Jared Smith <jsmith@fedoraproject.org> - 3.1.0-3
- Update to upstream 3.1.0 release

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.0.0-5
- fix version of uglify-js dependency

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.0.0-3
- disable tests

* Mon Mar 03 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.0.0-2
- add patch for failing tests

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.0.0-1
- initial package
